ghc-7.8.4: The GHC API

Safe Haskell | None
Language | Haskell98

RegAlloc.Linear.FreeRegs

# Documentation

class Show freeRegs => FR freeRegs where

Methods

frAllocateReg :: Platform -> RealReg -> freeRegs -> freeRegs

frGetFreeRegs :: Platform -> RegClass -> freeRegs -> [RealReg]

frInitFreeRegs :: Platform -> freeRegs

frReleaseReg :: Platform -> RealReg -> freeRegs -> freeRegs

Instances

FR FreeRegs |
FR FreeRegs |
FR FreeRegs |
FR FreeRegs |

maxSpillSlots :: DynFlags -> Int